gnutls-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[SCM] GNU gnutls branch, master, updated. gnutls_2_9_9-158-g2db9cf9


From: Simon Josefsson
Subject: [SCM] GNU gnutls branch, master, updated. gnutls_2_9_9-158-g2db9cf9
Date: Mon, 15 Mar 2010 10:24:01 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU gnutls".

http://git.savannah.gnu.org/cgit/gnutls.git/commit/?id=2db9cf9ef97dcefc2d2b2070a7ffbabb16f5763d

The branch, master has been updated
       via  2db9cf9ef97dcefc2d2b2070a7ffbabb16f5763d (commit)
      from  987076c0b8fce9444168850ff8cc90b36263a6f9 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 2db9cf9ef97dcefc2d2b2070a7ffbabb16f5763d
Author: Simon Josefsson <address@hidden>
Date:   Mon Mar 15 11:23:58 2010 +0100

    Rewrite tests/openpgp-certs/testselfsigs portably for Solaris.  Fix 
EXTRA_DIST.

-----------------------------------------------------------------------

Summary of changes:
 tests/openpgp-certs/Makefile.am  |   20 ++++++++++----------
 tests/openpgp-certs/testselfsigs |   29 +++++++++++++++++++----------
 2 files changed, 29 insertions(+), 20 deletions(-)

diff --git a/tests/openpgp-certs/Makefile.am b/tests/openpgp-certs/Makefile.am
index 17e97e6..eed9270 100644
--- a/tests/openpgp-certs/Makefile.am
+++ b/tests/openpgp-certs/Makefile.am
@@ -17,19 +17,19 @@
 # along with this file; if not, write to the Free Software Foundation,
 # Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 
-if ENABLE_OPENPGP
-
 EXTRA_DIST = ca-public.gpg srv-public-all-signed.gpg srv-secret.gpg    \
        ca-secret.gpg srv-public.gpg srv-public-127.0.0.1-signed.gpg    \
-       srv-public-localhost-signed.gpg selfsigs/alice-mallory-badsig18.pub \
-       selfsigs/alice-mallory-irrelevantsig.pub 
selfsigs/alice-mallory-nosig18.pub \
-       selfsigs/alice.pub
+       srv-public-localhost-signed.gpg                                 \
+       selfsigs/alice-mallory-badsig18.pub                             \
+       selfsigs/alice-mallory-irrelevantsig.pub                        \
+       selfsigs/alice-mallory-nosig18.pub selfsigs/alice.pub
+
+dist_check_SCRIPTS = testselfsigs testcerts
 
+if ENABLE_OPENPGP
 # The selftest is disabled until we can make it work under Wine and
-# under Debian buildds (problem with 127.0.0.2?).  Just extra-dist it
-# for now.
-EXTRA_DIST += testcerts testselfsigs
-dist_check_SCRIPTS = testselfsigs #testcerts
+# under Debian buildds (problem with 127.0.0.2?).
 TESTS = testselfsigs #testcerts
-
 endif
+
+TESTS_ENVIRONMENT = EXEEXT=$(EXEEXT)
diff --git a/tests/openpgp-certs/testselfsigs b/tests/openpgp-certs/testselfsigs
index a1084fc..e6609dc 100755
--- a/tests/openpgp-certs/testselfsigs
+++ b/tests/openpgp-certs/testselfsigs
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 
 # Copyright (C) 2010 Free Software Foundation, Inc.
 #
@@ -20,8 +20,11 @@
 # along with GNUTLS; if not, write to the Free Software Foundation,
 # Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 
+set -e
+
 srcdir="${srcdir:-.}"
-CERTTOOL="${certtool:-../../src/certtool} -q"
+CERTTOOL="${CERTTOOL:-../../src/certtool$EXEEXT}"
+
 unset RETCODE
 
 fail() {
@@ -31,14 +34,20 @@ fail() {
 
 echo "Checking OpenPGP certificate self verification"
 
-( $CERTTOOL --pgp-certificate-info <$srcdir/selfsigs/alice.pub | grep -e 
"^Self Signature verification: ok" ) >/dev/null ||
-  fail "Self sig Verification should have succeeded!"
+($CERTTOOL --pgp-certificate-info < $srcdir/selfsigs/alice.pub \
+    | grep "^Self Signature verification: ok" > /dev/null) || \
+    fail "Self sig Verification should have succeeded!"
+
+($CERTTOOL --pgp-certificate-info < 
$srcdir/selfsigs/alice-mallory-badsig18.pub \
+    | grep "^Self Signature verification: failed" > /dev/null) || \
+    fail "Self sig Verification should have failed!"
+
+($CERTTOOL --pgp-certificate-info < 
$srcdir/selfsigs/alice-mallory-irrelevantsig.pub \
+    | grep "^Self Signature verification: failed" >/dev/null) || \
+    fail "Self sig Verification should have failed!"
 
-( $CERTTOOL --pgp-certificate-info 
<$srcdir/selfsigs/alice-mallory-badsig18.pub | grep -e "^Self Signature 
verification: failed" ) >/dev/null ||
-  fail "Self sig Verification should have failed!"
-( $CERTTOOL --pgp-certificate-info 
<$srcdir/selfsigs/alice-mallory-irrelevantsig.pub | grep -e "^Self Signature 
verification: failed" ) >/dev/null ||
-  fail "Self sig Verification should have failed!"
-( $CERTTOOL --pgp-certificate-info <$srcdir/selfsigs/alice-mallory-nosig18.pub 
| grep -e "^Self Signature verification: failed" ) >/dev/null ||
-  fail "Self sig Verification should have failed!"
+($CERTTOOL --pgp-certificate-info < $srcdir/selfsigs/alice-mallory-nosig18.pub 
\
+    | grep "^Self Signature verification: failed" >/dev/null) || \
+    fail "Self sig Verification should have failed!"
 
 exit ${RETCODE:-0}


hooks/post-receive
-- 
GNU gnutls




reply via email to

[Prev in Thread] Current Thread [Next in Thread]